[java-identity-provider COMMIT] in /trunk/idp-distribution/src/main/resources/bin: ant.sh runclass.sh
noreply at shibboleth.net
noreply at shibboleth.net
Thu Jan 8 08:20:09 EST 2015
Author: rdw
Date: Thu Jan 8 08:20:09 2015
New Revision: 7239
URL: http://svn.shibboleth.net/view/java-identity-provider?rev=7239&view=rev
Log:
SIDP-625 Exit with failure status when required.
Modified:
trunk/idp-distribution/src/main/resources/bin/ant.sh
trunk/idp-distribution/src/main/resources/bin/runclass.sh
Modified: trunk/idp-distribution/src/main/resources/bin/ant.sh
URL: http://svn.shibboleth.net/view/java-identity-provider/trunk/idp-distribution/src/main/resources/bin/ant.sh?rev=7239&r1=7238&r2=7239&view=diff
==============================================================================
--- trunk/idp-distribution/src/main/resources/bin/ant.sh (original)
+++ trunk/idp-distribution/src/main/resources/bin/ant.sh Thu Jan 8 08:20:09 2015
@@ -28,7 +28,7 @@
if [ ! -x "$JAVACMD" ] ; then
echo "Error: JAVA_HOME is not defined correctly."
echo " We cannot execute $JAVACMD"
- exit
+ exit 1
fi
if [ -n "$CLASSPATH" ] ; then
Modified: trunk/idp-distribution/src/main/resources/bin/runclass.sh
URL: http://svn.shibboleth.net/view/java-identity-provider/trunk/idp-distribution/src/main/resources/bin/runclass.sh?rev=7239&r1=7238&r2=7239&view=diff
==============================================================================
--- trunk/idp-distribution/src/main/resources/bin/runclass.sh (original)
+++ trunk/idp-distribution/src/main/resources/bin/runclass.sh Thu Jan 8 08:20:09 2015
@@ -11,7 +11,7 @@
if [ -z "$JAVA_HOME" ] ; then
echo "ERROR: JAVA_HOME environment variable is not set."
- exit
+ exit 1
else
if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
# IBM's JDK on AIX uses strange locations for the executables
@@ -24,7 +24,7 @@
if [ ! -x "$JAVACMD" ] ; then
echo "Error: JAVA_HOME is not defined correctly."
echo " We cannot execute $JAVACMD"
- exit
+ exit 1
fi
if [ -n "$CLASSPATH" ] ; then
More information about the commits
mailing list